com.pixelmed.display.event

## Class RegionSelectionChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.RegionSelectionChangeEvent

    public class RegionSelectionChangeEvent
    extends Event

### Constructor Summary

Constructors
Constructor and Description
`RegionSelectionChangeEvent(EventContext eventContext, double centerX, double centerY, double tlhcX, double tlhcY, double brhcX, double brhcY)`

### Method Summary

Methods
`double` `getBRHCX()`
`double` `getBRHCY()`
`double` `getCenterX()`
`double` `getCenterY()`
`double` `getTLHCX()`
`double` `getTLHCY()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegionSelectionChangeEvent

    public RegionSelectionChangeEvent(EventContext eventContext,
                              double centerX,
                              double centerY,
                              double tlhcX,
                              double tlhcY,
                              double brhcX,
                              double brhcY)

Parameters:
  `eventContext` -
  `centerX` -
  `centerY` -
  `tlhcX` -
  `tlhcY` -
  `brhcX` -
  `brhcY` -

### Method Detail

#### getCenterX

    public double getCenterX()

#### getCenterY

    public double getCenterY()

#### getTLHCX

    public double getTLHCX()

#### getTLHCY

    public double getTLHCY()

#### getBRHCX

    public double getBRHCX()

#### getBRHCY

    public double getBRHCY()